load("pipeline_sim_data.dat");

pipeline_P_out_min=ones(pipeline_P_out)*57.0;

pipeline_Press_drop = pipeline_P_in - pipeline_P_end;
pipeline_end_Press_drop = pipeline_P_end - pipeline_P_out_min;
regulator_Press_drop = pipeline_end_Press_drop - 1;
receiving_stn_Press_drop = 0.0010479 .* (pipeline_flow_out * .024).^2 - 0.0064036 .* (pipeline_flow_out *.024) + 0.27887;

receiving_stn_P_in = pipeline_P_out_min - receiving_stn_Press_drop;

[m,n]=size(pipeline_flow_in);

time = [0:(m - 1)]'/(60*24);

figure(1,"BackgroundColor",[1,1,1]);
clf
drawlater();


subplot(5,1,1)
plot(time,[pipeline_flow_in pipeline_flow_out]);
a1=gca();
a1.axes_visible(1)="off";
a1.axes_bounds=[0 0 1 0.23];
title("Gas Pipeline High Flow Trial Simulation");
ylabel('$\mbox{Flow (}kSm^3/hr \mbox{)}$');
legend("Pipeline Flow","Main Outlet Flow");
xgrid

subplot(5,1,2)
plot(time,[pipeline_P_in pipeline_P_end]);
a2=gca();
a2.axes_visible(1)="off";
a2.axes_bounds=[0 0.19 1 0.23];
a2.data_bounds=[0 60;12 85];
ylabel("Pressure (barg)");
legend("Pipeline P_in","Pipeline Exit P_in");
xgrid

subplot(5,1,3)
plot(time,[pipeline_P_out_min pipeline_P_out]);
a3=gca();
a3.axes_visible(1)="off";
a3.axes_bounds=[0 0.38 1 0.23];
a3.data_bounds=[0 55;12 58];
ylabel("Pressure (barg)");
legend("Pipeline Exit P_out","Receiving Station P_in");
xgrid

subplot(5,1,4)
plot(time,[pipeline_Press_drop]);
a4=gca();
a4.axes_visible(1)="off";
a4.axes_bounds=[0 0.57 1 0.23];
ylabel("Pressure Drop (bar)");
legend("Pipeline Press Drop");
xgrid

subplot(5,1,5)
plot(time,[pipeline_end_Press_drop regulator_Press_drop receiving_stn_Press_drop]);
a5=gca();
a5.axes_bounds=[0 0.76 1 0.23];
ylabel("Pressure Drop (bar)");
xlabel("Elapsed Time (days)");
legend("Pipeline Exit Press Drop", "Regulator Pressure Drop", "Receiving Station Pressure Drop");
xgrid
drawnow();

figure(2,"BackgroundColor",[1,1,1]);
clf
drawlater();

subplot(3,1,1)
plot(time,[pipeline_flow_in pipeline_flow_out]);
a6=gca();
a6.axes_visible(1)="off";
a6.axes_bounds=[0 0 1 0.3833333];
title("$\mbox{Pipeline High Flow Trial Simulation}$");
ylabel('$\mbox{Flow (}kSm^3/hr \mbox{)}$');
//legend("Pipeline Inlet Flow","Pipeline Main Outlet Flow");
xgrid

subplot(3,1,2)
plot(time,[pipeline_flow_in pipeline_flow_out] * 0.024);
a7=gca();
a7.axes_visible(1)="off";
a7.axes_bounds=[0 0.3033333 1 0.3833333];
ylabel('$\mbox{Flow (}mmscmd \mbox{)}$');
//legend("Pipeline Inlet Flow","Pipeline Main Outlet Flow");
xgrid

subplot(3,1,3)
plot(time,[pipeline_flow_in pipeline_flow_out] * 0.024 * 35.31467);
a8=gca();
a8.axes_bounds=[0 0.6066667 1 0.3833333];
ylabel('$\mbox{Flow (}MMSCFD \mbox{)}$');
legend("Pipeline Inlet Flow","Pipeline Main Outlet Flow");
xlabel("$\mbox{Elapsed Time (days)}$");
xgrid
drawnow();

figure_1_bounds = [a1.axes_bounds
a2.axes_bounds
a3.axes_bounds
a4.axes_bounds
a5.axes_bounds];

figure_2_bounds = [a6.axes_bounds
a7.axes_bounds
a8.axes_bounds];

//Default
//figure_1_bounds  =
// 
//    0.    0.     1.    0.2  
//    0.    0.2    1.    0.2  
//    0.    0.4    1.    0.2  
//    0.    0.6    1.    0.2  
//    0.    0.8    1.    0.2  
 
// figure_2_bounds  =
// 
//    0.    0.           1.    0.3333333  
//    0.    0.3333333    1.    0.3333333  
//    0.    0.6666667    1.    0.3333333  

total_days = 11;

for i=1:8;
  aa=msprintf('a%d.tight_limits=""off""',i);
  execstr(aa);
end
 
for i=1:8;
  aa=msprintf('a%d_bounds = a%d.data_bounds',i,i);
  execstr(aa);
  bb=msprintf('a%d.data_bounds(2,1) = %d',i,total_days);
  execstr(bb);
end
